Numerology Compatibility API
Numerology compatibility
POST/v1/numerology/compatibility
1 credit · Secret key (test or live) · getNumerologyCompatibility
Request body
person_aNameDob requirednamestringat least 1 characters · at most 120 characters
date_of_birthstring (date) requirede.g.
"1990-08-13"
No other fields are accepted.
person_bNameDob requirednamestringat least 1 characters · at most 120 characters
date_of_birthstring (date) requirede.g.
"1990-08-13"
No other fields are accepted.
No other fields are accepted.
Response
JSON { data, meta, warnings }, where data is:
scoreinteger required≥ 0 · ≤ 100
relationstring requiredperson_aCoreNumbers requiredlife_pathinteger requiredbirthinteger requireddestinyinteger or null requiredOne of:
- integer
- null
person_bCoreNumbers requiredlife_pathinteger requiredbirthinteger requireddestinyinteger or null requiredOne of:
- integer
- null
scoresobject requiredlife_pathinteger requiredbirthinteger requireddestinyinteger or null requiredOne of:
- integer
- null
verdictstring requiredguidancestring required
Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.
Example request
curl -X POST 'https://api.astrologics.in/v1/numerology/compatibility' \
-H 'Authorization: Bearer al_test_YOUR_KEY' \
-H 'Content-Type: application/json' \
-d '{"person_a":{"name":"Asha","date_of_birth":"1990-08-13"},"person_b":{"name":"Ravi","date_of_birth":"1992-03-02"}}'
Node.js
const res = await fetch("https://api.astrologics.in/v1/numerology/compatibility", {
method: "POST",
headers: { Authorization: "Bearer al_test_YOUR_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"person_a": {
"name": "Asha",
"date_of_birth": "1990-08-13"
},
"person_b": {
"name": "Ravi",
"date_of_birth": "1992-03-02"
}
}),
});
console.log(JSON.stringify(await res.json(), null, 2));Python
import json
import urllib.error
import urllib.request
body = {
"person_a": {
"name": "Asha",
"date_of_birth": "1990-08-13",
},
"person_b": {
"name": "Ravi",
"date_of_birth": "1992-03-02",
},
}
req = urllib.request.Request(
"https://api.astrologics.in/v1/numerology/compatibility",
method="POST",
headers={"Authorization": "Bearer al_test_YOUR_KEY", "Content-Type": "application/json"},
data=json.dumps(body).encode(),
)
try:
with urllib.request.urlopen(req) as res:
print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
print(err.code, err.read().decode())PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/numerology/compatibility');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY', 'Content-Type: application/json'],
CURLOPT_POSTFIELDS => '{"person_a":{"name":"Asha","date_of_birth":"1990-08-13"},"person_b":{"name":"Ravi","date_of_birth":"1992-03-02"}}',
CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;Example response
200 OK · 679 characters
{
"data": {
"score": 62,
"relation": "enemy",
"person_a": {
"life_path": 4,
"birth": 4,
"destiny": 1
},
"person_b": {
"life_path": 8,
"birth": 2,
"destiny": 1
},
"scores": {
"life_path": 25,
"birth": 60,
"destiny": 100
},
"verdict": "Good, workable match",
"guidance": "Your core numbers pull in different directions; with awareness and respect for each other's nature, the friction can become balance."
},
"meta": {
"request_id": "req_example",
"api_version": "v1",
"engine_version": "2026.10.10",
"mode": "live",
"credits_charged": 1
},
"warnings": []
}Try it
More in Numerology
- Chaldean Numerology API (Life Path, Destiny): Life path, destiny, soul urge, personality (Chaldean)
- Pythagorean Numerology API: Pythagorean numbers: core, karmic debts and lessons, pinnacles, challenges and personal year
- Name Numerology API: Chaldean name number
- Mobile Number Numerology API: Mobile-number analysis
- Lo Shu Grid API: Lo Shu grid
- Business Name Numerology API: Business name number (Chaldean): planet, verdict and the business-friendly numbers
- Lucky Name Check API: Is the name lucky for the person: the name number against the life path and birth numbers